Bug 977689 - After enable concurrent option under host power management fencing begin failed
After enable concurrent option under host power management fencing begin failed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Linux
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Eli Mesika
Artyom
infra
: ZStream
Depends On: 982266
Blocks: 987446
  Show dependency treegraph
 
Reported: 2013-06-25 03:16 EDT by Artyom
Modified: 2016-02-10 14:06 EST (History)
11 users (show)

See Also:
Fixed In Version: is7
Doc Type: Bug Fix
Doc Text:
--no tech note required
Story Points: ---
Clone Of:
: 987446 (view as bug list)
Environment:
Last Closed: 2014-01-21 12:32:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log (19.74 KB, text/x-log)
2013-06-25 03:16 EDT, Artyom
no flags Details
engine.log (5.54 KB, text/x-log)
2013-06-25 03:17 EDT, Artyom
no flags Details
Full vdsm log (8.13 MB, text/x-log)
2013-06-30 07:24 EDT, Artyom
no flags Details
Full engine log (2.55 MB, text/x-log)
2013-06-30 09:34 EDT, Artyom
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17206 None None None Never

  None (edit)
Description Artyom 2013-06-25 03:16:43 EDT
Created attachment 764960 [details]
vdsm.log

Description of problem:
After enable concurrent option under host power management fencing stop working

Version-Release number of selected component (if applicable):


How reproducible:
Add host, add primary and secondary agents of power management, check via test button if agents defined correct. Check concurrent option and try to restart host.

Steps to Reproduce:
1. See above
2.
3.

Actual results:
Host not restarted.
Error messages in events:
Failed to restart Host your_host, (User: admin@internal).	
Failed to stop Host your_host, (User: admin@internal)

Expected results:
Restarted host.

Additional info:
Comment 1 Artyom 2013-06-25 03:17:39 EDT
Created attachment 764961 [details]
engine.log
Comment 2 Artyom 2013-06-25 03:23:47 EDT
rhevm version sf18
Comment 3 Eli Mesika 2013-06-30 03:16:27 EDT
incomplete logs
Restart is performed as stop, wait for status off, start, wait for status on.

Please verify that your log includes this sequence in the engine side.
Comment 4 Artyom 2013-06-30 07:24:27 EDT
Created attachment 767037 [details]
Full vdsm log
Comment 6 Artyom 2013-06-30 09:34:48 EDT
Created attachment 767081 [details]
Full engine log
Comment 9 Eli Mesika 2013-07-23 15:40:22 EDT
fixed in commit: 9869244
Comment 10 Artyom 2013-07-28 02:11:36 EDT
Can't verified bug because this bug https://bugzilla.redhat.com/show_bug.cgi?id=982266, have host just with power managements types apc_snmp and ipmilan and I need host with two power management.
Comment 11 Artyom 2013-08-12 09:19:29 EDT
Check with the same power management as first and second pm's with concurrent enabled, fence worked fine.(No have hosts with two different power managements of same type)
Verified on is9.1
Comment 12 Charlie 2013-11-27 19:08:01 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 13 errata-xmlrpc 2014-01-21 12:32:10 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.